Page MenuHomeFreeBSD

Mk/Uses/Emacs: Add noflavors argument to USES=emacs
ClosedPublic

Authored by jrm on May 1 2018, 8:14 PM.

Details

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm created this revision.May 1 2018, 8:14 PM
jrm updated this revision to Diff 42056.May 1 2018, 8:17 PM

Remove www/emacs-w3m/Makefile that was not intened to be incuded in revision

jrm updated this revision to Diff 42152.May 4 2018, 7:16 PM
mat added inline comments.May 4 2018, 7:28 PM
Mk/Uses/emacs.mk
102 ↗(On Diff #42152)

Shouldn't it be set to EMACS_DEFAULT if it is set?

jrm added inline comments.May 4 2018, 7:33 PM
Mk/Uses/emacs.mk
102 ↗(On Diff #42152)

EMACS_FLAVOR is set to FLAVOR when FLAVOR is not empty and FLAVOR is set to EMACS_DEFAULT when appropriate.
EMACS_FLAVOR is only set to full when FLAVOR is empty.

ashish accepted this revision.May 12 2018, 7:16 PM

Sorry for the delay in follow-up. Looks good to me.

This revision is now accepted and ready to land.May 12 2018, 7:16 PM
This revision was automatically updated to reflect the committed changes.